interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/all/search.json?q=reddit2
  response:
    body:
      string: !!binary |
[encoded data, 12228 characters]
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['8198']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:39:29 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjargk.2.1505363968732.Z0FBQUFBQlp1Z2dCbDRnUzNnZzhfSEpiWW8yclhpZWlDUEZSQTA0cEZEM0ZGdlhKRndzakJKcnM5U1ZNekdYV2ZQaWxxM1R2SWEzd2s4Q0lVUldiRDlnRm1jNFBLMm9ONnhuemN1emR3cVBvbjViem1qbjBOS2RvOEI1N0l4dFNjdzhDY3d2ZllrQzk;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:39:29
          GMT; secure', 'session_tracker=5Zx7MVIjObXzM0Nn3c.0.1505363968728.Z0FBQUFBQlp1Z2dCWWNLa3FmTzJ5a2tHVXhyblg3N3lFR2hJT2FrNnpqek1ZdXkxeElBWE9JQmJrQWY5ZTd0ck03UXAxLU9md1JqbU9VdmJvUWstQVJrVHFLZHlzQ0xObURjVDlZZkxsei1PT2c2azFiYzFTR2dtRjdtMFJPOG4yajR4ajY3OTBUVUk;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:39:29
          GMT; secure', edgebucket=I7YTC0y33HR6rN1UvT; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1745-ORD]
      X-Timer: ['S1505363969.712616,VS0,VE406']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjargk.2.1505363968732.Z0FBQUFBQlp1Z2dCbDRnUzNnZzhfSEpiWW8yclhpZWlDUEZSQTA0cEZEM0ZGdlhKRndzakJKcnM5U1ZNekdYV2ZQaWxxM1R2SWEzd2s4Q0lVUldiRDlnRm1jNFBLMm9ONnhuemN1emR3cVBvbjViem1qbjBOS2RvOEI1N0l4dFNjdzhDY3d2ZllrQzk;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:39:29
          GMT; secure', 'session_tracker=5Zx7MVIjObXzM0Nn3c.0.1505363968728.Z0FBQUFBQlp1Z2dCWWNLa3FmTzJ5a2tHVXhyblg3N3lFR2hJT2FrNnpqek1ZdXkxeElBWE9JQmJrQWY5ZTd0ck03UXAxLU9md1JqbU9VdmJvUWstQVJrVHFLZHlzQ0xObURjVDlZZkxsei1PT2c2azFiYzFTR2dtRjdtMFJPOG4yajR4ajY3OTBUVUk;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:39:29
          GMT; secure', edgebucket=I7YTC0y33HR6rN1UvT; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=kkU922EjFQtsdowOrpTELOrugIAALIBgAHUcGdXH7nJehmI0pz%2BA9EwoiNGpuv0PIi9D4%2BdV84I%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
